// creator  : weidu.exe (version 23100)
// argument : SUELF13.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SUELF13~

IF ~Global("ElvenAvatar","GLOBAL",0)
Global("ElvenGateOpened","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY #57824 /* ~No!  No, go away!  You... you're just another illusion, trying to trick me!  I won't open the gate, I won't!~ */
  IF ~~ THEN REPLY #57825 /* ~I was sent here by Elhan... I'm no illusion.~ */ GOTO 1
  IF ~CheckStatGT(LastTalkedToBy,14,WIS)~ THEN REPLY #57827 /* ~All of the illusions have been of horrible creatures... I am not a creature of any sort.  Why would they create an illusion like me?~ */ GOTO 2
  IF ~CheckStatGT(LastTalkedToBy,14,INT)~ THEN REPLY #57828 /* ~Illusions exist through belief.  Stop believing in them and they no longer exist.  You can try the same with me, but I assure you I am quite real.~ */ GOTO 3
  IF ~CheckStatGT(LastTalkedToBy,14,CHR)~ THEN REPLY #57829 /* ~You're just going to have to trust me, friend.  I'm here to help, not to fight.~ */ GOTO 4
  IF ~CheckStatLT(LastTalkedToBy,15,CHR)~ THEN REPLY #57830 /* ~You're just going to have to trust me, friend.  I'm here to help, not to fight.~ */ GOTO 5
  IF ~~ THEN REPLY #57831 /* ~Open the gate or you're going to have a lot more than illusions to worry about, bucko!~ */ GOTO 6
  IF ~~ THEN REPLY #57832 /* ~I can't think of any way to convince you otherwise.  Forget it, then.~ */ GOTO 7
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #57833 /* ~El-elhan?  Oh, but... no!  No, I don't believe it!  You're just trying to trick me, aren't you!  I won't open it, I won't!!~ */
  IF ~CheckStatGT(LastTalkedToBy,9,CHR)~ THEN REPLY #57834 /* ~Look.  Elhan is at the gate and I'm here to find Irenicus.  I've done nothing but fight illusions and monsters, here, so your fear is understandable... just open the gate, please.~ */ GOTO 8
  IF ~CheckStatLT(LastTalkedToBy,10,CHR)~ THEN REPLY #57835 /* ~Look.  Elhan is at the gate and I'm here to find Irenicus.  I've done nothing but fight illusions and monsters, here, so your fear is understandable... just open the gate, please.~ */ GOTO 5
  IF ~CheckStatGT(LastTalkedToBy,14,WIS)~ THEN REPLY #57836 /* ~All of the illusions have been of horrible creatures... I am not a creature of any sort.  Why would they create an illusion like me?~ */ GOTO 2
  IF ~CheckStatGT(LastTalkedToBy,14,INT)~ THEN REPLY #57837 /* ~Illusions exist through belief.  Stop believing in them and they no longer exist.  You can try the same with me, but I assure you I am quite real.~ */ GOTO 3
  IF ~CheckStatGT(LastTalkedToBy,14,CHR)~ THEN REPLY #57838 /* ~You're just going to have to trust me, friend.  I'm here to help, not to fight.~ */ GOTO 4
  IF ~CheckStatLT(LastTalkedToBy,15,CHR)~ THEN REPLY #57839 /* ~You're just going to have to trust me, friend.  I'm here to help, not to fight.~ */ GOTO 5
  IF ~~ THEN REPLY #57840 /* ~Open the gate or you're going to have a lot more than illusions to worry about, bucko!~ */ GOTO 6
  IF ~~ THEN REPLY #57841 /* ~I can't think of any way to convince you otherwise.  Forget it, then.~ */ GOTO 7
END

IF ~~ THEN BEGIN 2 // from: 1.2 0.1
  SAY #57844 /* ~I... I... I suppose you're right.  You... you aren't like the other monsters.  It's just... oh, never mind.  Let me open up the gate for you...~ */
  IF ~~ THEN DO ~SetGlobal("ElvenGateOpened","GLOBAL",1)
Unlock("Gate02")
OpenDoor("Gate02")~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.3 0.2
  SAY #57845 /* ~I... I've heard that, but... ahhh, you are real, aren't you?  The illusions just... oh, never mind.  I'll... open the gate for you...~ */
  IF ~~ THEN DO ~SetGlobal("ElvenGateOpened","GLOBAL",1)
Unlock("Gate02")
OpenDoor("Gate02")~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 1.4 0.3
  SAY #57846 /* ~Then... then... then I suppose I'll have to trust you.  You don't... you don't seem like the other illusions.  But I'm watching you!~ */
  IF ~~ THEN DO ~SetGlobal("ElvenGateOpened","GLOBAL",1)
Unlock("Gate02")
OpenDoor("Gate02")~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 1.5 1.1 0.4
  SAY #57847 /* ~Then... then... no, no!  No, the illusions are always trying to get into the gate!  Go away!  I won't do it, no matter what!!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from: 1.6 0.5
  SAY #57848 /* ~Forget it!  You can't threaten me, illusion!  You won't win!  Not you or any of the foul magicks the Exile brought with him!  Away, away!!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from: 1.7 0.6
  SAY #57849 /* ~Hah!  You won't win!  Not you or any of your foul magicks!  Away with you, illusion, away!!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 8 // from: 1.0
  SAY #57850 /* ~I... I suppose... I suppose so.  We... we've just been attacked so much, and the illusions have been... oh, never mind.  Let me open the gate for you...~ */
  IF ~~ THEN DO ~SetGlobal("ElvenGateOpened","GLOBAL",1)
Unlock("Gate02")
OpenDoor("Gate02")~ EXIT
END

IF ~Global("ElvenAvatar","GLOBAL",0)
Global("ElvenGateOpened","GLOBAL",1)
~ THEN BEGIN 9 // from:
  SAY #57852 /* ~I... I've had to be very careful, with the gate.  So many of the illusions have been tricky, trying to get in here.  So many elves have died, I... I...~ */
  IF ~~ THEN EXIT
END

IF ~Global("ElvenAvatar","GLOBAL",1)
Global("ElvenGateOpened","GLOBAL",0)~ THEN BEGIN 10 // from:
  SAY #57853 /* ~The... the old guardians have come!  We are saved!  You... oh, let me open the gate for you!  One moment!~ */
  IF ~~ THEN DO ~SetGlobal("ElvenGateOpened","GLOBAL",1)
Unlock("Gate02")
OpenDoor("Gate02")~ EXIT
END

IF ~Global("ElvenAvatar","GLOBAL",1)
Global("ElvenGateOpened","GLOBAL",1)~ THEN BEGIN 11 // from:
  SAY #57855 /* ~We are saved!  What... what a relief!  Thank you, stranger!~ */
  IF ~~ THEN EXIT
END
